#include "mainwidget.h"
#include <QApplication>
#include <QTranslator>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    //Подключение перевода для пользовательских классов
    QTranslator translator;
    translator.load(QLocale::system(), "application", "_");
    a.installTranslator(&translator);

    //Подключение перевода для текстовых констант,
    //используемых библиотечными классами
    //! Для того чтобы файл перевода был загружен, его необходимо
    //! разместить в папку с исполняемым файлом
    QTranslator translator2;
    translator2.load(QLocale::system(), "qtbase", "_");
    a.installTranslator(&translator2);

    MainWidget w;
    w.show();

    return a.exec();
}
